[arch-commits] Commit in haskell-network/repos (2 files)

Felix Yan felixonmars at archlinux.org
Wed Nov 7 12:39:42 UTC 2018


    Date: Wednesday, November 7, 2018 @ 12:39:41
  Author: felixonmars
Revision: 402775

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-network/repos/community-staging-x86_64/
  haskell-network/repos/community-staging-x86_64/PKGBUILD
    (from rev 402774, haskell-network/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: haskell-network/repos/community-staging-x86_64/PKGBUILD (from rev 402774, haskell-network/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2018-11-07 12:39:41 UTC (rev 402775)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Thomas Dziedzic <gostrc at gmail.com>
+
+_hkgname=network
+pkgname=haskell-network
+pkgver=2.7.0.2
+pkgrel=15
+pkgdesc="Low-level networking interface"
+url="https://hackage.haskell.org/package/${_hkgname}"
+license=('custom:BSD3')
+arch=('x86_64')
+depends=('ghc-libs')
+makedepends=('ghc' 'haskell-doctest' 'haskell-hspec' 'haskell-hunit')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('cf82fddbdcee160a86fd8daec0141503906bb8955f9bdd8bbcc8fee608a90b13ed8e3fd24d550be1b7ff2108afe893ded9459e61ed05d637f1ba2ebfbd62454b')
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # https://github.com/haskell/network/issues/333#issuecomment-400173091
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}



More information about the arch-commits mailing list